Subject: Re: [PATCH] [POWERPC][RFC] MPC8360E-RDK: Device tree and board file

From: Anton Vorontsov <[email-masked]>
Date: Wed, 19 Dec 2007 16:05:59 +0300

On Mon, Dec 17, 2007 at 11:03:04AM -0600, Scott Wood wrote:
> On Mon, Dec 17, 2007 at 04:14:03PM +1100, David Gibson wrote:
[...]
> > > +		ranges = <0 0xe0100000 0x00100000>;
> > > +		reg = <0xe0100000 0x480>;
> > > +		/* filled by u-boot */
> > > +		brg-frequency = <0>;
> > > +		bus-frequency = <0>;
> > 
> > This should probably be clock-frequency, not bus-frequency.  After
> > all, it's a bus node, what other sort of frequency would it be.
> 
> Actually, it should probably be dropped altogether.

No, we can't drop it. We can replace it by clock-frequency, but
not just drop it, because bus frequency used by at least one driver --
spi_mpc83xx, to calculate proper clocks prescaling value.

As for renaming this property... well, I can rename it, but
bus-frequency is so widely used: bootloaders are depending on this
property, so we'll have to leave "legacy" code in linux to find
legacy properties... thus RDK will by just some kind of white crow
among others (at first).

Do we really want to rename it after all? It's not a problem per se,
just want to hear some consensus.

> 
> > > +		muram@10000 {
> > > +			device_type = "muram";
> > 
> > And this device_type needs to go, too.
> 
> Yes, replace it with compatible = "fsl,cpm-muram".

cpm? This is QE. I'll name it fsl,qe-muram. If you think it
is fully compatible with cpm, then I'd better add
"fsl,qe-muram", "fsl,cpm-muram".

> > > +			ranges = <0 0x00010000 0x0000c000>;
> > > +
> > > +			data-only@0 {
> > > +				reg = <0 0xc000>;
> 
> compatible = "fsl,cpm-muram-data".

ditto.

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2